Package Details: rtl8812au-dkms-git 5.9.3.2.r8.gb95e750-1

Git Clone URL: https://aur.archlinux.org/rtl8812au-dkms-git.git (read-only, click to copy)
Package Base: rtl8812au-dkms-git
Description: rtl8812AU chipset driver with firmware v5.9.3.2
Upstream URL: https://github.com/gordboy/rtl8812au-5.9.3.2
Licenses: GPL2
Conflicts: rtl8812au
Submitter: thelinuxguy
Maintainer: zebulon (zebulon)
Last Packager: zebulon
Votes: 65
Popularity: 1.01
First Submitted: 2015-06-08 13:04
Last Updated: 2020-12-25 04:02

Dependencies (3)

Required by (0)

Sources (2)

Pinned Comments

zebulon commented on 2019-10-01 06:19

To all having an issue with this driver: please try https://aur.archlinux.org/packages/rtl88xxau-aircrack-dkms-git alternatively.

widowild commented on 2016-03-16 22:03

Hello,

DKMS make.log for rtl8812au-r56.38b565a for kernel 3.10.96-2-ARCH (armv7l)
Wed Mar 16 21:53:02 UTC 2016
make ARCH=armv7l CROSS_COMPILE= -C /lib/modules/3.10.96-2-ARCH/build M=/var/lib/dkms/rtl8812au/r56.38b565a/build modules
make[1]: Entering directory '/usr/src/linux-3.10.96-2-ARCH'
Makefile:582: /usr/src/linux-3.10.96-2-ARCH/arch/armv7l/Makefile: No such file or directory
make[1]: *** No rule to make target '/usr/src/linux-3.10.96-2-ARCH/arch/armv7l/Makefile'. Stop.
make[1]: Leaving directory '/usr/src/linux-3.10.96-2-ARCH'
Makefile:1052: recipe for target 'modules' failed
make: *** [modules] Error 2

sekret commented on 2016-03-07 19:00

Please add

makedepends=('git')

thelinuxguy commented on 2015-10-20 10:39

hope this fixes it.
If you want you can comaintain it. I dont regurarely use this driver

LordAro commented on 2015-10-09 07:10

aur/rtl8812au-dkms-git 2a9bbb7-1 -> 8283c82-1

is what yaourt is telling me. Obviously once it goes and recompiles everything, it ends up with 2a9bbb7-1 again

thelinuxguy commented on 2015-10-08 00:09

@LordAro I don't see any issue with that. Can you see what cower tells you?
For me neither cower nor yaourt tell me to upgrade the package...
You generally won't need to do it... You only need to rebuild dkms for kernel upgrades

LordAro commented on 2015-10-07 23:42

There seems to be some issue with package versions - yaourt is constantly wanting to upgrade it (2a9bbb7-1 -> 8283c82-1)

I would recommend following the wiki on this - https://wiki.archlinux.org/index.php/VCS_package_guidelines#Git

marcmouallem commented on 2015-09-15 04:19

The other two packages found at https://aur.archlinux.org/packages/?O=0&SeB=nd&K=rtl8812au&outdated=&SB=n&SO=a&PP=50&do_Search=Go appear to work but hang on some webpages.

Don't know what you did different, but thanks! This is the only fully working package I have found for my ASUS Dual-Band Wireless-AC1300 USB-AC56 Wireless Adapter.

Thanks LinuxGuy, you rock!

marcmouallem commented on 2015-09-15 04:17

The other two packages found at https://aur.archlinux.org/packages/?O=0&SeB=nd&K=rtl8812au&outdated=&SB=n&SO=a&PP=50&do_Search=Go appear to work but hang on some webpages.

Don't know what you did different, but thanks! This is the only fully working package I have found for my USB-AC56 wireless adapter from Asus.

Thanks LinuxGuy, you rock!

marcmouallem commented on 2015-09-15 04:13

The other two packages found at https://aur.archlinux.org/packages/?O=0&SeB=nd&K=rtl8812au&outdated=&SB=n&SO=a&PP=50&do_Search=Go appear to work but hang on some webpages.

Don't know what you did different, but thanks! This is the only fully working package I have found for my Dual-band Wireless-AC1300 USB 3.0 Wi-Fi Adapter from Asus.

Thanks LinuxGuy, you rock!

thelinuxguy commented on 2015-09-11 02:26

It's really frustrating. There are tens of repositories on github, each doing something different....
Will have a look at the new repository...